OpenStack Compute (Nova)

nova-dhcpbridge doesn't close rabbitmq connections gracefully

Reported by Anthony Young on 2011-04-21
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Russell Bryant

Bug Description

nova-dhcpbridge doesn't close the rabbitmq connection properly when the process dies. This results in lots of annoying error messages in the rabbit logfile:

=WARNING REPORT==== 20-Mar-2011::06:26:57 ===
exception on TCP connection <0.17629.6202> from 10.24.4.2:57025
connection_closed_abruptly

=INFO REPORT==== 20-Mar-2011::06:26:57 ===
closing TCP connection <0.17629.6202> from 10.24.4.2:57025

Since real world deploys of nova will have many such processes running, this could become an issue for large deploys (it is already annoying in Nebula).

summary: - nova-dchbridge doesn't close rabbitmq connections gracefully
+ nova-dchpbridge doesn't close rabbitmq connections gracefully
summary: - nova-dchpbridge doesn't close rabbitmq connections gracefully
+ nova-dhcpbridge doesn't close rabbitmq connections gracefully
description: updated
Thierry Carrez (ttx) on 2011-05-24
Changed in nova:
importance: Undecided → Low
status: New → Confirmed
Ivan Kolodyazhny (e0ne) wrote :

Fix was ported from Grid Dynamics Nova fork: https://github.com/griddynamics/osc-robot-nova/
Code changes: https://review.openstack.org/#change,1896

Changed in nova:
status: Confirmed → Fix Committed
status: Fix Committed → New
status: New → Confirmed
Ivan Kolodyazhny (e0ne) wrote :

Please, ignore my comment for this bug. It was mistake.

Fix proposed to branch: master
Review: https://review.openstack.org/3584

Changed in nova:
assignee: nobody → Russell Bryant (russellb)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/3584
Committed: http://github.com/openstack/nova/commit/bd32abf9bc9d628f6fed510c223689de9aa8b76d
Submitter: Jenkins
Branch: master

commit bd32abf9bc9d628f6fed510c223689de9aa8b76d
Author: Russell Bryant <email address hidden>
Date: Mon Jan 30 18:29:04 2012 -0500

    Clear out RPC connection pool before exit.

    Fixes bug 767984.

    This patch ensures that pooled connections to a messaging system get
    cleaned up before a process that has used the RPC API exits.

    Change-Id: I56eca54334075378534a7a5d3434c420319672b4

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → essex-4
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers